return {
    'kristijanhusak/vim-dadbod-ui',
    dependencies = {
        { 'tpope/vim-dadbod',                     lazy = true },
        { 'kristijanhusak/vim-dadbod-completion', ft = { 'sql', 'mysql', 'plsql' }, lazy = true }, -- Optional
    },
    cmd = {
        'DBUI',
        'DBUIToggle',
        'DBUIAddConnection',
        'DBUIFindBuffer',
    },
    init = function()
        -- Your DBUI configuration
        vim.g.db_ui_use_nerd_fonts = 1
        vim.g.db_ui_auto_execute_table_helpers = 1

        vim.g.dbs = {
            dev = 'mariadb://jack:secret@localhost:33061/jack?ssl=false',
        }

        vim.api.nvim_create_user_command('DBUITab', function()
            vim.cmd('tabnew')
            vim.cmd('DBUI')
        end, { desc = 'Open DBUI in a new tab' })

        vim.keymap.set('n', '<leader>db', function ()
            vim.cmd('tabnew')
            vim.cmd('DBUI')
        end, { desc = 'Open DBUI in a new tab' })

        vim.api.nvim_create_autocmd("FileType", {
            pattern = {"dbout", "dbui"},
            callback = function()
                vim.opt_local.foldenable = false
            end,
        })
    end,
}
